package org.dromara.payment.channel.service;

import org.dromara.payment.channel.domain.BusChannelAccountSyn;
import org.dromara.payment.channel.domain.vo.BusChannelAccountSynVo;
import org.dromara.payment.channel.domain.bo.BusChannelAccountSynBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 代理商账户同步记录Service接口
 *
 * @author LionLi
 * @date 2024-04-10
 */
public interface IBusChannelAccountSynService {

    /**
     * 查询代理商账户同步记录
     */
    BusChannelAccountSynVo queryById(Long id);

    /**
     * 查询代理商账户同步记录列表
     */
    TableDataInfo<BusChannelAccountSynVo> queryPageList(BusChannelAccountSynBo bo, PageQuery pageQuery);

    /**
     * 查询代理商账户同步记录列表
     */
    List<BusChannelAccountSynVo> queryList(BusChannelAccountSynBo bo);

    /**
     * 新增代理商账户同步记录
     */
    Boolean insertByBo(BusChannelAccountSynBo bo);

    /**
     * 修改代理商账户同步记录
     */
    Boolean updateByBo(BusChannelAccountSynBo bo);

    /**
     * 校验并批量删除代理商账户同步记录信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
